import { JAPANESE_HIDE_DATE_TAGS } from "../../constants/unified";


export const hidingDateTagsForJpLocale = (hideDateTagsForJpLocale, val, list, value) => {

  if (hideDateTagsForJpLocale) {
    // hidden date tags from the japanese locale
    if (!JAPANESE_HIDE_DATE_TAGS?.includes(val?.name)) {
      list.push(value);
    }
  } else {
    list.push(value);
  }
  return list;
};
